Mail::SpamAssassin::Plugin::Reuse(3p)

NAME
Mail::SpamAssassin::Plugin::Reuse - For reusing old rule hits during a mass-check

SYNOPSIS
  loadplugin    Mail::SpamAssassin::Plugin::Reuse

  ifplugin      Mail::SpamAssassin::Plugin::Reuse

  reuse NETWORK_RULE [ NETWORK_RULE_OLD_NAME ]

  run_reuse_tests_only 0/1

  endif

DESCRIPTION
The purpose of this plugin is to work in conjunction with mass-check --reuse to map rules hit in input messages to rule hits in the mass-check output.

run_reuse_tests_only 1 is special option for spamassassin/spamd use. Only reuse flagged tests will be run. It will also _enable_ network/DNS lookups. This is mainly intended for fast mass processing of corpus messages, so they can be properly reused later. For example:
  spamd --pre="loadmodule Mail::SpamAssassin::Plugin::Reuse" \
    --pre="run_reuse_tests_only 1" ... Such dedicated spamd could be scripted to add X-Spam-Status header to messages efficiently.